<?php
/**
 * Theme Ostrich 
 *
 * @package Music Center
 * active callbacks.
 * 
 */

/*========================slider==============================*/
/**
 * Check if the slider is enabled
 */
function music_center_if_slider_enabled( $control ) {
	return 'disable' != $control->manager->get_setting( 'music_center_slider' )->value();
}

/*===================Music Player=========================*/
/**
 * Check if the music player is enabled.
 */
function music_center_if_music_player_enabled( $control ) {
	return $control->manager->get_setting( 'music_center_music_player' )->value();
}

/*==========================About=========================*/
/**
 * Check if the about is enabled
 */
function music_center_if_about_enabled( $control ) {
	return 'disable' != $control->manager->get_setting( 'music_center_about' )->value();
}

/*==========================Release=========================*/
/**
 * Check if the release is enabled
 */
function music_center_if_release_enabled( $control ) {
	return 'disable' != $control->manager->get_setting( 'music_center_release' )->value();
}

/*==========================video=========================*/
/**
 * Check if the video is enabled
 */
function music_center_if_video_enabled( $control ) {
	return 'disable' != $control->manager->get_setting( 'music_center_video' )->value();
}

/*========================latest_albums==============================*/
/**
 * Check if the latest_albums is enabled
 */
function music_center_if_latest_albums_enabled( $control ) {
	return 'disable' != $control->manager->get_setting( 'music_center_latest_albums' )->value();
}

/*===================Review=========================*/
/**
 * Check if the review is enabled.
 */
function music_center_if_review_enabled( $control ) {
	return 'disable' != $control->manager->get_setting( 'music_center_review' )->value();
}

/*========================Team==============================*/
/**
 * Check if the team is enabled
 */
function music_center_if_team_enabled( $control ) {
	return 'disable' != $control->manager->get_setting( 'music_center_team' )->value();
}

/*===================Subscription=========================*/
/**
 * Check if the subscribe is enabled.
 */
function music_center_if_subscription_enabled( $control ) {
	return $control->manager->get_setting( 'music_center_enable_subscription' )->value();
}

/*========================recent_news==============================*/
/**
 * Check if the recent_news is enabled
 */
function music_center_if_recent_news_enabled( $control ) {
	return 'disable' != $control->manager->get_setting( 'music_center_recent_news' )->value();
}

/**
 * Check if the recent_news is category
 */
function music_center_if_recent_news_cat( $control ) {
	return 'cat' === $control->manager->get_setting( 'music_center_recent_news' )->value();
}

/**
 * Check if the recent_news is post
 */
function music_center_if_recent_news_post( $control ) {
	return 'post' === $control->manager->get_setting( 'music_center_recent_news' )->value();
}