<?php
/**
 * Theme Ostrich Customizer
 *
 * @package Music Center
 *
 * music_player section
 */
$wp_customize->add_section(
	'music_center_music_player',
	array(
		'title' => esc_html__( 'Music Player', 'music-center' ),
		'panel' => 'music_center_home_panel',
	)
);

// Subscription enable setting
$wp_customize->add_setting(
	'music_center_music_player',
	array(
		'sanitize_callback' => 'music_center_sanitize_checkbox',
		'default' => false,
	)
);

$wp_customize->add_control(
	'music_center_music_player',
	array(
		'section'		=> 'music_center_music_player',
		'label'			=> esc_html__( 'Enable Music Player.', 'music-center' ),
		'type'			=> 'checkbox',
	)
);

// playlist posts drop down chooser control and setting
$wp_customize->add_setting( 'music_center_music_player_content', array(
	'sanitize_callback' => 'music_center_sanitize_array_int',
) );

$wp_customize->add_control( new Music_Center_Multiple_Dropdown_Chooser( $wp_customize, 'music_center_music_player_content', array(
	'label'             => esc_html__( 'Select Multiple Audios', 'music-center' ),
	'description'      	=> esc_html__( 'Note: Press Ctrl key to select multilple audios.', 'music-center' ),
	'section'           => 'music_center_music_player',
	'choices'			=> music_center_audio_choices(),
	'active_callback'	=> 'music_center_if_music_player_enabled',
) ) );