<?php
/**
 * Theme Ostrich Customizer
 *
 * @package Music Center
 *
 * release section
 */
$wp_customize->add_section(
	'music_center_release',
	array(
		'title' => esc_html__( 'Release', 'music-center' ),
		'panel' => 'music_center_home_panel',
	)
);

// blog enable settings
$wp_customize->add_setting(
	'music_center_release',
	array(
		'sanitize_callback' => 'music_center_sanitize_select',
		'default' => 'disable',
	)
);
$wp_customize->add_control(
	'music_center_release',
	array(
		'section'		=> 'music_center_release',
		'label'			=> esc_html__( 'Content type:', 'music-center' ),
		'description'			=> esc_html__( 'Choose where you want to render the content from.', 'music-center' ),
		'type'			=> 'select',
		'choices'		=> array(
				'disable' => esc_html__( '--Disable--', 'music-center' ),
				'post' => esc_html__( 'Post', 'music-center' ),
		 	)
	)
);

$wp_customize->add_setting(
	'music_center_release_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'Music is composed and performed!!', 'music-center' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'music_center_release_title',
	array(
		'section'		=> 'music_center_release',
		'label'			=> esc_html__( 'Title:', 'music-center' ),
		'active_callback'	=> 'music_center_if_release_enabled',
	)
);

$wp_customize->selective_refresh->add_partial( 
	'music_center_release_title', 
	array(
        'selector'            => '#release h2.section-title',
		'render_callback'     => 'music_center_release_partial_title',
	) 
);

$wp_customize->add_setting(
	'music_center_release_sub_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'Release', 'music-center' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'music_center_release_sub_title',
	array(
		'section'		=> 'music_center_release',
		'label'			=> esc_html__( 'Sub Title:', 'music-center' ),
		'active_callback'	=> 'music_center_if_release_enabled',
	)
);

$wp_customize->selective_refresh->add_partial( 
	'music_center_release_sub_title', 
	array(
        'selector'            => '#release p.section-subtitle',
		'render_callback'     => 'music_center_release_partial_subtitle',
	) 
);

for ($i=1; $i <= 1 ; $i++) {
	// blog post setting
	$wp_customize->add_setting(
		'music_center_release_post_'.$i,
		array(
			'sanitize_callback' => 'music_center_sanitize_dropdown_pages',
		)
	);
	$wp_customize->add_control(
		'music_center_release_post_'.$i,
		array(
			'section'		=> 'music_center_release',
			'label'			=> esc_html__( 'Post ', 'music-center' ).$i,
			'active_callback' => 'music_center_if_release_enabled',
			'type'			=> 'select',
			'choices'		=> music_center_get_post_choices(),
		)
	);

}

// playlist posts drop down chooser control and setting
$wp_customize->add_setting( 'music_center_release_playlist', array(
	'sanitize_callback' => 'music_center_sanitize_array_int',
) );

$wp_customize->add_control( new Music_Center_Multiple_Dropdown_Chooser( $wp_customize, 'music_center_release_playlist', array(
	'label'             => esc_html__( 'Select Multiple Audios', 'music-center' ),
	'description'      	=> esc_html__( 'Note: Press Ctrl key to select multilple audios.', 'music-center' ),
	'section'           => 'music_center_release',
	'choices'			=> music_center_audio_choices(),
	'active_callback'	=> 'music_center_if_release_enabled',
) ) );