<?php
/**
 * Theme Ostrich Customizer
 *
 * @package Music Center
 *
 * Review section
 */
$wp_customize->add_section(
	'music_center_review',
	array(
		'title' => esc_html__( 'Youtube Weekly Best Video', 'music-center' ),
		'panel' => 'music_center_home_panel',
	)
);


// blog enable settings
$wp_customize->add_setting(
	'music_center_review',
	array(
		'sanitize_callback' => 'music_center_sanitize_select',
		'default' => 'disable',
	)
);
$wp_customize->add_control(
	'music_center_review',
	array(
		'section'		=> 'music_center_review',
		'label'			=> esc_html__( 'Content type:', 'music-center' ),
		'description'			=> esc_html__( 'Choose where you want to render the content from.', 'music-center' ),
		'type'			=> 'select',
		'choices'		=> array(
				'disable' 	=> esc_html__( '--Disable--', 'music-center' ),
				'custom' 	=> esc_html__( 'Youtube video link', 'music-center' ),
		 	)
	)
);

$wp_customize->add_setting(
	'music_center_review_sub_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'transport'	=> 'postMessage',
		'default'	=>  __('BEST THINGS OF THE WEEK', 'music-center'),
	)
);

$wp_customize->add_control(
	'music_center_review_sub_title',
	array(
		'section'		=> 'music_center_review',
		'label'			=> esc_html__( 'Sub Title:', 'music-center' ),
		'active_callback' => 'music_center_if_review_enabled',
		
	)
);

$wp_customize->selective_refresh->add_partial( 
	'music_center_review_sub_title', 
	array(
        'selector'            => '#review p.section-subtitle',
		'render_callback'     => 'music_center_review_partial_sub_title',
	) 
);

$wp_customize->add_setting(
	'music_center_review_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'transport'	=> 'postMessage',
		'default'	=>  __('Weekly Mix', 'music-center'),
	)
);

$wp_customize->add_control(
	'music_center_review_title',
	array(
		'section'		=> 'music_center_review',
		'label'			=> esc_html__( 'Title:', 'music-center' ),		
		'active_callback' => 'music_center_if_review_enabled',
		
	)
);

$wp_customize->selective_refresh->add_partial( 
	'music_center_review_title', 
	array(
        'selector'            => '#review h2.section-title',
		'render_callback'     => 'music_center_review_partial_title',
	) 
);

	// review number setting
$wp_customize->add_setting(
	'music_center_review_num',
	array(
		'sanitize_callback' => 'music_center_sanitize_number_range',
		'default' => 3,
	)
);

$wp_customize->add_control(
	'music_center_review_num',
	array(
		'section'		=> 'music_center_review',
		'label'			=> esc_html__( 'Number of Posts:', 'music-center' ),
		'description'	=> esc_html__( 'Min: 1 | Max: 20', 'music-center' ),
		'type'			=> 'number',
		'input_attrs'	=> array( 'min' => 1, 'max' => 20 ),
		'active_callback' => 'music_center_if_review_enabled',
	)
);

$review_num = get_theme_mod( 'music_center_review_num', 3 );

for ($i=1; $i <= $review_num ; $i++) {

$wp_customize->add_setting(
	'music_center_review_video_url_'.$i,
	array(
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'music_center_review_video_url_'.$i,
	array(
		'section'		=> 'music_center_review',
		'label'			=> esc_html__( 'Youtube Video Link ', 'music-center' ).$i,
		'active_callback'	=> 'music_center_if_review_enabled',
	)
);

}