<?php 

/**
* Subscription section
*/
// Subscription section
$wp_customize->add_section(
	'music_center_subscription',
	array(
		'title' => esc_html__( 'Subscription Section', 'music-center' ),
		'description' => sprintf( esc_html__( '%1$sJetpack%2$s should be active and site should be connected to WordPress.com for this section to work.', 'music-center' ), '<a target="_blank" href="https://wordpress.org/plugins/jetpack">', '</a>' ),
		'panel' => 'music_center_home_panel',
	)
);

// Subscription enable setting
$wp_customize->add_setting(
	'music_center_enable_subscription',
	array(
		'sanitize_callback' => 'music_center_sanitize_checkbox',
		'default' => false,
	)
);

$wp_customize->add_control(
	'music_center_enable_subscription',
	array(
		'section'		=> 'music_center_subscription',
		'label'			=> esc_html__( 'Enable subscription.', 'music-center' ),
		'type'			=> 'checkbox',
	)
);

// Subscribe text setting
$wp_customize->add_setting(
	'music_center_subscription_subtitle',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'Become a Member Today', 'music-center' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'music_center_subscription_subtitle',
	array(
		'section'		=> 'music_center_subscription',
		'label'			=> esc_html__( 'SubTitle:', 'music-center' ),
		'active_callback' => 'music_center_if_subscription_enabled',
	)
);

$wp_customize->selective_refresh->add_partial( 
	'music_center_subscription_subtitle', 
	array(
		'selector'            => '#subscribe-newsletter h3.section-subtitle',
		'render_callback'     => 'music_center_subscription_partial_text',
	) 
);

// Subscribe title setting
$wp_customize->add_setting(
	'music_center_subscription_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'Our Next Music Course Starting', 'music-center' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'music_center_subscription_title',
	array(
		'section'		=> 'music_center_subscription',
		'label'			=> esc_html__( 'Title:', 'music-center' ),
		'active_callback' => 'music_center_if_subscription_enabled'
	)
);

$wp_customize->selective_refresh->add_partial( 
	'music_center_subscription_title', 
	array(
		'selector'            => '#subscribe-newsletter h2.section-title',
		'render_callback'     => 'music_center_subscription_partial_title',
	) 
);

// Subscribe button text setting
$wp_customize->add_setting(
	'music_center_subscription_btn_text',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' =>  esc_html__( 'GET IT NOW', 'music-center' ),
	)
);

$wp_customize->add_control(
	'music_center_subscription_btn_text',
	array(
		'section'		=> 'music_center_subscription',
		'label'			=> esc_html__( 'Button text:', 'music-center' ),
		'active_callback' => 'music_center_if_subscription_enabled'
	)
);