<?php
/**
 * Ostrich Theme Customizer
 *
 * @package Music Center Theme
 *
 * Team section
 */

$wp_customize->add_section(
	'music_center_team',
	array(
		'title' => esc_html__( 'Team Section', 'music-center' ),
		'panel' => 'music_center_home_panel',
	)
);

// team enable settings
$wp_customize->add_setting(
	'music_center_team',
	array(
		'sanitize_callback' => 'music_center_sanitize_select',
		'default' => 'disable'
	)
);

$wp_customize->add_control(
	'music_center_team',
	array(
		'section'		=> 'music_center_team',
		'label'			=> esc_html__( 'Content type:', 'music-center' ),
		'description'			=> esc_html__( 'Choose where you want to render the content from.', 'music-center' ),
		'type'			=> 'select',		
		'choices'		=> array( 
				'disable' => esc_html__( '--Disable--', 'music-center' ),
				'page' => esc_html__( 'Page', 'music-center' ),
		 	)
	)
);

$wp_customize->add_setting(
	'music_center_team_sub_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'transport'	=> 'postMessage',
		'default'	=>  __('Our Members', 'music-center'),
	)
);

$wp_customize->add_control(
	'music_center_team_sub_title',
	array(
		'section'		=> 'music_center_team',
		'label'			=> esc_html__( 'Sub Title:', 'music-center' ),
		'active_callback' => 'music_center_if_team_enabled',
		
	)
);

$wp_customize->selective_refresh->add_partial( 
	'music_center_team_sub_title', 
	array(
        'selector'            => '#our-team p.section-subtitle',
		'render_callback'     => 'music_center_team_partial_sub_title',
	) 
);

$wp_customize->add_setting(
	'music_center_team_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'transport'	=> 'postMessage',
		'default'	=>  __('Here is Our Awesome Team', 'music-center'),
	)
);

$wp_customize->add_control(
	'music_center_team_title',
	array(
		'section'		=> 'music_center_team',
		'label'			=> esc_html__( 'Title:', 'music-center' ),		
		'active_callback' => 'music_center_if_team_enabled',
		
	)
);

$wp_customize->selective_refresh->add_partial( 
	'music_center_team_title', 
	array(
        'selector'            => '#our-team h2.section-title',
		'render_callback'     => 'music_center_team_partial_title',
	) 
);

for ($i=1; $i <= 4; $i++) { 

	// team page setting
	$wp_customize->add_setting(
		'music_center_team_page_'.$i,
		array(
			'sanitize_callback' => 'music_center_sanitize_dropdown_pages',
			'default' => 0,
		)
	);

	$wp_customize->add_control(
		'music_center_team_page_'.$i,
		array(
			'section'		=> 'music_center_team',
			'label'			=> esc_html__( 'Page ', 'music-center' ).$i,
			'type'			=> 'dropdown-pages',
			'active_callback' => 'music_center_if_team_enabled'
		)
	);

	$wp_customize->add_setting(
		'music_center_team_position_'.$i,
		array(
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'music_center_team_position_'.$i,
		array(
			'section'		=> 'music_center_team',
			'label'			=> esc_html__( 'Members Position:', 'music-center' ). $i,
			'active_callback' => 'music_center_if_team_enabled',		
		)
	);

}