<?php
/**
* Theme Ostrich Customizer
*
* @package Music Center
*
* video section
*/
$wp_customize->add_section(
	'music_center_video',
	array(
		'title' => esc_html__( 'Video', 'music-center' ),
		'panel' => 'music_center_home_panel',
	)
);

// blog enable settings
$wp_customize->add_setting(
	'music_center_video',
	array(
		'sanitize_callback' => 'music_center_sanitize_select',
		'default' => 'disable',
	)
);
$wp_customize->add_control(
	'music_center_video',
	array(
		'section'		=> 'music_center_video',
		'label'			=> esc_html__( 'Content type:', 'music-center' ),
		'description'			=> esc_html__( 'Choose where you want to render the content from.', 'music-center' ),
		'type'			=> 'select',
		'choices'		=> array(
			'disable' => esc_html__( '--Disable--', 'music-center' ),
			'post' => esc_html__( 'Post', 'music-center' ),
		)
	)
);

$wp_customize->add_setting(
	'music_center_video_button',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'Explore More', 'music-center' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'music_center_video_button',
	array(
		'section'		=> 'music_center_video',
		'label'			=> esc_html__( 'Button:', 'music-center' ),
		'active_callback'	=> 'music_center_if_video_enabled',
	)
);

$wp_customize->selective_refresh->add_partial( 
	'music_center_video_button', 
	array(
		'selector'            => '#video .buttons a.primary',
		'render_callback'     => 'music_center_video_partial_button',
	) 
);

for ($i=1; $i <= 1 ; $i++) {
// blog post setting
	$wp_customize->add_setting(
		'music_center_video_post_'.$i,
		array(
			'sanitize_callback' => 'music_center_sanitize_dropdown_pages',
		)
	);
	$wp_customize->add_control(
		'music_center_video_post_'.$i,
		array(
			'section'		=> 'music_center_video',
			'label'			=> esc_html__( 'Post ', 'music-center' ).$i,
			'active_callback' => 'music_center_if_video_enabled',
			'type'			=> 'select',
			'choices'		=> music_center_get_post_choices(),
		)
	);
	
}

$wp_customize->add_setting(
	'music_center_video_url',
	array(
		'sanitize_callback' => 'esc_url_raw',
	)
);

$wp_customize->add_control(
	'music_center_video_url',
	array(
		'section'		=> 'music_center_video',
		'label'			=> esc_html__( 'Video Url:', 'music-center' ),
		'type'			=> 'url',
		'active_callback'	=> 'music_center_if_video_enabled',
	)
);

// post_video number setting
$wp_customize->add_setting(
	'music_center_video_view_all_btn',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default'			=> esc_html__( 'View All', 'music-center' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'music_center_video_view_all_btn',
	array(
		'section'		=> 'music_center_video',
		'label'			=> esc_html__( 'View All Button:', 'music-center' ),
		'type'			=> 'text',
		'active_callback'	=> 'music_center_if_video_enabled',
	)
);

$wp_customize->selective_refresh->add_partial( 
	'music_center_video_view_all_btn', 
	array(
		'selector'            => '#video .buttons a.transparent',
		'render_callback'     => 'music_center_video_partial_view_all_btn',
	) 
);

$wp_customize->add_setting(
	'music_center_video_view_all_btn_url',
	array(
		'sanitize_callback' => 'esc_url_raw',
	)
);

$wp_customize->add_control(
	'music_center_video_view_all_btn_url',
	array(
		'section'		=> 'music_center_video',
		'label'			=> esc_html__( 'View All Link:', 'music-center' ),
		'type'			=> 'url',
		'active_callback'	=> 'music_center_if_video_enabled',
	)
);