<?php
/**
* Template part for displaying front page Review.
*
* @package Theme Ostrich
*/

$review = get_theme_mod( 'music_center_review', 'disable' );

$review_sub_title    = get_theme_mod( 'music_center_review_sub_title', __( 'BEST THINGS OF THE WEEK', 'music-center') );
$review_title    = get_theme_mod( 'music_center_review_title', __( 'Weekly Mix', 'music-center') );

$review_count    = get_theme_mod( 'music_center_review_num', 3 ) ;

$get_content = music_center_get_section_content( 'review', $review, $review_count );

if ( 'disable' === $review ) {
    return;
}


?>

<div id="review" class="pt">
	<div class="container">
		<div class="section-header">
			<?php if( !empty( $review_sub_title ) ): ?>
				<p class="section-subtitle"><?php echo esc_html( $review_sub_title ); ?></p>
			<?php endif;

			if( !empty( $review_title ) ):
				?>
				<h2 class="section-title"><?php echo esc_html( $review_title ); ?></h2>
			<?php endif; ?>
		</div><!-- .section-header -->

		<div class="review-wrapper col-3 clear">

			<?php $i=1; foreach ($get_content as $content): 
			$class = ( $i == 1) ? 'full-width' : '';
			?>

			<article class="<?php echo esc_attr( $class ); ?>">
				<?php 
				if ( ! empty( get_theme_mod( 'music_center_review_video_url_'.$i ) ) ) : 
					$library_video =  attachment_url_to_postid( get_theme_mod( 'music_center_review_video_url_'.$i ) );
					?>
					<div class="featured-video">
						<?php if ( 0 !== $library_video ) :
							the_widget( 'WP_Widget_Media_Video', $instance = array( 'attachment_id' => absint( $library_video ) ) ); 
						else :
							the_widget( 'WP_Widget_Media_Video', $instance = array( 'url' => esc_url( get_theme_mod( 'music_center_review_video_url_'.$i ) ) ) ); 
						endif; ?>
					</div><!-- .featured-video -->
				<?php endif; ?>
			</article>

			<?php $i++; endforeach; ?>

		</div>
	</div>
</div><!-- #review -->
