<?php
/**
 * Template part for displaying front page introduction.
 *
 * @package Music Center
 */

// Get the content type.
$slider = get_theme_mod( 'music_center_slider', 'disable' );
// Bail if the section is disabled.
if ( 'disable' === $slider ) {
    return;
}

$slider_searchbar = get_theme_mod( 'music_center_slider_search_bar', 'show' );

$get_content = music_center_get_section_content( 'slider', $slider, 3 );

?>

<div id="hero-slider" data-slick='{"slidesToShow": 1, "slidesToScroll": 1, "infinite": true, "speed": 1500, "dots": true, "arrows":true, "autoplay": false, "draggable": true, "fade": false }'>
   
   <?php foreach ( $get_content as $content ): ?>

    <article style="background-image:url('<?php echo esc_url( get_the_post_thumbnail_url( $content['id'] ) ) ; ?>');">
        <div class="overlay"></div>
        <div class="container">
            <div class="hero-slider-wrapper">
                <header class="entry-header">
                    <h2 class="entry-title"><a href="<?php echo esc_url( $content['url'] ); ?>" tabindex="0"><?php echo esc_html( $content['title'] ); ?></a></h2>
                </header>

                <div class="entry-content">
                    <p><?php echo esc_html( wp_trim_words( $content['content'], 5 ) ); ?></p>
                </div><!-- .entry-content -->

                <?php
                if( $slider_searchbar == 'show' ):
                    get_search_form();
                endif;
                ?>
            </div><!-- .hero-slider-wrapper -->
        </div><!-- .container -->
    </article>

    <?php endforeach;  ?>

</div><!-- #featured-slider -->