<?php
/**
 * Template part for displaying front page subscription.
 *
 * @package Theme Ostrich
 */

if ( ! defined( 'JETPACK__VERSION' ) ) {
	return;
}

$subscription = get_theme_mod( 'music_center_enable_subscription', false );

$subscription_subtitle = get_theme_mod( 'music_center_subscription_subtitle', __( 'Become a Member Today', 'music-center') );

$subscription_title = get_theme_mod( 'music_center_subscription_title', __( 'Our Next Music Course Starting', 'music-center') );

$subscription_btn_text = get_theme_mod( 'music_center_subscription_btn_text', __( 'GET IT NOW', 'music-center') );

if ( ! $subscription ) {
	return;
}

?>

<div id="subscribe-newsletter" class="pt col-2">
	<div class="container">
		<article>
			<div class="section-header">
				<?php if( !empty( $subscription_subtitle ) ): ?>
				<h3 class="section-subtitle"><?php echo esc_html( $subscription_subtitle ); ?></h3>
			<?php endif;
			if( !empty( $subscription_title ) ):
			 ?>
				<h2 class="section-title"><?php echo esc_html( $subscription_title ); ?></h2>
			<?php endif; ?>
			</div><!-- .section-header -->
		</article>

		<article>
			<div class="widget jetpack_subscription_widget">
				<?php 
				$subscription_shortcode = '[jetpack_subscription_form title="" subscribe_text="" subscribe_button="' . esc_html( $subscription_btn_text ) . '" show_subscribers_total="0"]';
				echo do_shortcode( wp_kses_post( $subscription_shortcode ) ); 
				?>
			</div><!-- .jetpack_subscription_widget -->
		</article>
	</div><!-- .wrapper -->
</div><!-- #subscribe-newsletter -->
