<?php
/**
* Template part for displaying front page introduction.
*
* @package Music Center
*/

// Get the content type.
$video = get_theme_mod( 'music_center_video', 'disable' );
// Bail if the section is disabled.
if ( 'disable' === $video ) {
    return;
}

$button    = get_theme_mod( 'music_center_video_button', __( 'Explore More', 'music-center') ) ;
$alt_button    = get_theme_mod( 'music_center_video_view_all_btn', __( 'View All', 'music-center') ) ;
$get_content = music_center_get_section_content( 'video', $video, 1  );
?>

<div id="video">

    <?php foreach ( $get_content as $content ): ?>

        <article style="background-image: url('<?php echo esc_url( get_the_post_thumbnail_url( $content['id'] ) ) ; ?>');">
            <div class="container">
                <div class="entry-container">
                    <header class="entry-header">
                        <h2 class="entry-title"><a href="<?php echo esc_url( $content['url'] ) ; ?>"><?php echo esc_html( $content['title'] ); ?></a></h2>
                    </header>

                    <div class="entry-content">
                        <p><?php echo esc_html( wp_trim_words( $content['content'], 7 ) ); ?></p>
                    </div><!-- .entry-content -->

                    <div class="buttons">
                        <?php if( !empty( $button ) ): ?>
                            <a href="<?php echo esc_url( $content['url'] ) ; ?>" class="button primary" tabindex="0"><?php echo esc_html( $button ); ?></a>
                        <?php endif;

                        if( !empty( get_theme_mod( 'music_center_video_view_all_btn_url' ) && !empty( $alt_button ) ) ):
                            ?>
                        <a href="<?php echo esc_url( get_theme_mod( 'music_center_video_view_all_btn_url' ) ); ?>" class="button transparent" tabindex="0"><?php echo esc_html( $alt_button ); ?></a>
                    <?php endif; ?>
                </div><!-- .buttons -->  

                <?php if( !empty( get_theme_mod( 'music_center_video_url') ) ): ?>

                    <div class="section-content">
                        <div class="video-button">
                            <a href="<?php echo esc_url( get_theme_mod( 'music_center_video_url') ); ?>" class="popup-youtube">
                                <svg class="svg-inline--fa fa-play fa-w-14" viewBox="0 0 448 512"><path d="M424.4 214.7L72.4 6.6C43.8-10.3 0 6.1 0 47.9V464c0 37.5 40.7 60.1 72.4 41.3l352-208c31.4-18.5 31.5-64.1 0-82.6z"></path></svg>
                            </a>
                        </div>
                    </div><!-- .section-content -->

                <?php endif; ?>

            </div><!-- .entry-container -->
        </div> <!-- .container -->
    </article>

<?php endforeach; ?> 

</div><!-- #video -->